Bug 484372 - Review Request: mythes-ca - Catalan thesaurus
Review Request: mythes-ca - Catalan thesaurus
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 09:51 EST by Caolan McNamara
Modified: 2009-02-10 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-10 18:28:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2009-02-06 09:51:30 EST
Spec URL: http://people.redhat.com/caolanm/rpms/mythes-ca.spec
SRPM URL: http://people.redhat.com/caolanm/rpms/mythes-ca-0.5.1-0.1.beta.fc10.src.rpm
Description: Catalan thesaurus
Comment 1 manuel wolfshant 2009-02-06 23:15:07 EST
Not that I do not trust you, but could you please explain why are you using "0.1.beta" as release tag? I see no mention of the project being in beta stage on its web site. Only:
 Historial del projecte

    * 31.oct.08. 0.5.0 - Primera versió pública del diccionari feta manualment. Pendent de fer funcionar el sistema web. 
    * 24.jul.08 - Inici del projecte Openthesaurus-ca 

Which makes indeed this version as being the second one, but yet, no mention of alpha/beta stage.

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 57e4cabf8009099c2841a670df0a147d8e6cd037 thesaurus-ca.oxt
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
  [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Not tested, koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


================
*** APPROVED ***  but I'd live to understand the reasoning behind the release tag
================
Comment 2 Caolan McNamara 2009-02-09 04:49:30 EST
We have "0.5.1-beta" at http://extensions.services.openoffice.org/project/thesaurus-ca which refers to the same .oxt so it seems safest to mark it as 0.5.1-0.1.beta
Comment 3 Caolan McNamara 2009-02-09 04:55:49 EST
New Package CVS Request
=======================
Package Name: mythes-ca
Short Description: Catalan thesaurus
Owners: caolanm
Branches: devel
InitialCC:
Comment 4 Kevin Fenzi 2009-02-10 17:32:59 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.